Bug 105045 - Authentication Server field should be optional, not mandatory for Domain and ADS security
Authentication Server field should be optional, not mandatory for Domain and ...
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
Blocks: 151129
  Show dependency treegraph
Reported: 2003-09-24 17:23 EDT by George Karabin
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-15 19:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Karabin 2003-09-24 17:23:34 EDT
Description of problem:

When using Domain and ADS security, the "Preferences->Server
Settings->Security->Authentication Server" field must have a non-NULL value or
the tool doesn't let the user commit the settings, and brings up a dialog with
the text: "You must specify a password server when using 'ads', 'domain' or
'server' authentication."

This isn't strictly true, and is confusing to samba neophytes or infrequent
users (like myself). smb.conf permits a value of "*" to be entered to permit the
password server to be auto-located. The Windows clients that I've seen at the
companies I've worked at are configured to use auto-location (I don't even know
if it can be overridden). Presumably a nice benefit of this approach is that it
gives admins an option to change the server IP without needing to maintain the

At a minimum, the text of the dialog should be modified to indicate that "*" is
a permissible value for auto-location, since many users may not be familiar with
this detail of smb.conf's format.

A better solution (I think) would instead let the user select either
auto-location or manual setting with a ui control, and only permit the server
name to be entered if manual were chosen.

Version-Release number of selected component (if applicable):

Comment 1 Brent Fox 2003-10-15 19:45:29 EDT
I've clarified the error message.  Should be fixed in redhat-config-samba-1.1.4-1.

Note You need to log in before you can comment on or make changes to this bug.